<?php

namespace App\Http\Controllers\Api\V1\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\StoreIdentitasKlienRequest;
use App\Http\Requests\UpdateIdentitasKlienRequest;
use App\IdentitasKlien;

class IdentitasKlienApiController extends Controller
{
    public function index()
    {
        $identitasKliens = IdentitasKlien::all();

        return $identitasKliens;
    }

    public function store(StoreIdentitasKlienRequest $request)
    {
        return IdentitasKlien::create($request->all());
    }

    public function update(UpdateIdentitasKlienRequest $request, IdentitasKlien $identitasKlien)
    {
        return $identitasKlien->update($request->all());
    }

    public function show(IdentitasKlien $identitasKlien)
    {
        return $identitasKlien;
    }

    public function destroy(IdentitasKlien $identitasKlien)
    {
        return $identitasKlien->delete();
    }
}
